RFC 503

Socket number list

πŸ“… published April 1973, from ietf

Socket Number List πŸŽ€

okay bestie, let's start with the title block πŸ’… This is RFC 503, called "Socket Number List," from the Network Working Group 🌸 It was written by N. Neigus and J. Postel, dated 13 April 1973, with NIC number 15747 ✨ The header points to References: 349, 433 πŸ“š It doesn't name a category, and there's no Obsoletes or Updates field listed either πŸ¦‹

This is a second pass at the socket number spec πŸ’– More sockets got opened up for experimental functions, some new sockets got assigned for network standard functions, host specific functions and experimental functions, and the list of available sockets for server hosts got updated πŸ”₯

Here's the vibe on socket numbers 🧠 A socket number is a 40 bit quantity. The first 8 bits are the host specification, the next 24 bits are site specific, and the last 8 bits are user specified. Those last 8 bits are called the AEN, which stands for Another Eightbit Number (cleverly enough πŸ™ˆ)

For the assignments in this doc, the host field covers all hosts (unless it says otherwise), the 24 bit field is zero, and the AEN is the part that's listed here πŸ“


General Assignments 🌈

Sockets             Assignment

0 - 63              Network Wide Standard Functions
64 - 127            Host Specific Functions
128 - 223           Reserved for Future Use
224 - 255           Any Experimental Function

Particular Assignments πŸ’œ

Socket              Assignment

  1                 Telnet
  3                 File Transfer
  5                 Remote Job Entry
  7                 Echo
  9                 Discard
 11                 Systat or who-is-on function
 13                 Date-Time function
 15                 Netstat or who-is-up function
 19                 Character Generator [e.g. TTYTST]

 65                 Speech Data Base @ 11-tx-2 (74)
 67
 69                 CPYNET
 71                 NETRJS [EBCDIC]
 73                 NETRJS [ASCII]
 75                 NETRJS [TTY]

241                 NCP Measurement
243                 Survey Measurement
245                 LINK
247                 RSEXEC
249                 RSEXEC
251                 RSEXEC

Where to Find the Specs πŸ“–

The specs for the assigned functions live in these documents 🧚

Telnet                   NIC 7104
File Transfer            NIC 7104
Remote Job Entry         NIC 7104
Echo                     RFC 347
Discard                  RFC 348
Character Generator      RFC 429
Speech Data Base         SUR 37
Datacomputer             [Murray @ CCA]
NCP Measurement          RFC 388
Survey Data              [Kampa @ NMC]
LINK                     [Bressler @ BBN]
RSEXEC                   [Thomas @ BBN]

Conflicts 😭

Heads up: several hosts are running public services on sockets that clash with this scheme πŸ’€

We're hoping to sort these out with as little disruption as possible 🫢

Who to Contact πŸ’Œ

This listing is here to help network users 🌸 If you spot a socket function that got left out, or an entry that needs fixing or deleting, reach out to one of these people:

Jon Postel, 3804 Boelter Hall, Computer Science Department, University of California, Los Angeles, CA. 90024. Phone: (213) 825-2368. NIC Ident - JBP.

or

Nancy J. Neigus, Bolt Beranek and Newman, 50 Moulton Street, Cambridge, Mass. 02138. Phone: (617) 661-0100. NIC Ident = NJN.

We're also happy to include socket and function info for stuff that isn't "official," like Tip News πŸ¦‹

Host Tabulation πŸ‘‘

Here's the socket-to-service map, host by host ✨

1   UCLA-NMC

    1      Telnet
    3      File Transfer
    241    NCP Measurement
    243    Survey Data

2   SRI-ARC

    1      Telnet
    3      File Transfer
    7      Echo
    11     SYSTAT
    13     DATE-TIME
    69     CPYNET

3   UCSB

    1      Telnet
    5      UCSB RJS [not ARPANET standard]
    7      Echo
    9      Discard

    1793, 1795, 1797, 1799, 1801, 2049 Graphics terminal sockets
    x'701', '703', '705', '707', '709', '801' o'3401', '3403',
    '3405', '3407', '3411', '4001'

4   UTAH

    1      Telnet
    3      File Transfer
    5      Echo
    7      CPYNET
    9      SYSTAT
    13     DATE-TIME

6   MIT-Multics

    1      Telnet
    3      File Transfer

8   SDC-Adept

    1      Telnet

9   Harvard

    1      Telnet
    3      File Transfer

10  LL-67

    1      Telnet

11  SAIL

    1      Telnet
    3      File Transfer

13  CASE

    1      Telnet
    3      File Transfer
    7      Echo
    11     SYSTAT
    13     DATE-TIME
    69     CPYNET

14  CMU

    1      Telnet
    3      File Transfer

15  ILLIAC-TENEX

    1      Telnet
    3      File Transfer
    5      Echo
    7      CPYNET
    9      SYSTAT
    13     DATE-TIME

16  NASA-AMES

    1      Telnet
    3      File Transfer
    5      Sorry Remote Job Entry
    7      Echo
    9      Discard
    241    NCP Measurement

23  USC-44

    1      Telnet

31  CCA-TENEX
    1      Telnet
    3      File Transfer
    7      Echo
    11     SYSTAT
    15     NETSTAT

35  UCSD

    1      Telnet

65  UCLA-CCN

    1      Telnet
    3      File Transfer
    7      Echo
    9      Discard
    71     NETRJS [EBCDIC]
    73     NETRJS [ASCII]
    75     NETRJS [TTY]

66  SRI-AI

    1      Telnet
    3      File Transfer
    5      Echo
    7      CPYNET
    9      SYSTAT
    11     Sorry NETSAT

69  BBN-TENEX (a)

    1      Telnet
    3      File Transfer
    7      Echo
    11     SYSTAT
    13     DATE-TIME
    15     NETSTAT
    17     Oneliners
    69     CPYNET
    247 = x'F7' = o'367' TIP RSEXEC Facility

70  MIT-DMCG

    1      Telnet
    3      File Transfer
    7      Network Status
    9      Discard

74  LL-TX-2

    1      Telnet

78  CMU-alt

    1      Telnet
    3      File Transfer

86  ISI-TENEX

    1      Telnet
    3      File Transfer
    7      Echo
    11     SYSTAT
    13     DATE-TIME
    69     CPYNET

133 BBN-TENEXB

    1      Telnet
    3      File Transfer
    7      Echo
    11     SYSTAT
    13     DATE-TIME
    15     NETSTAT
    17     Oneliners
    69     CPYNET

134 MIT-AI

    1      Telnet
    3      File Transfer

198 MIT-Mathlab

    1      Telnet
    3      File Transfer

User only hosts -- no server sockets

    5      NCC
    7      RAND
    12     ILI-ANTS
    19     NBS-ANTS
    32     PARC-MAXC (currently)
    138    LL-TSP
    197    BBN-1D

That's the whole socket buffet, bestie πŸŒˆπŸŽ€πŸ’–

πŸ“¦ where this page comes from